#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-4)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-Net-SMTP-SSL
Version		:	1.04
Release		:	17.2.0.rel%{?dist}
Summary		:	A collection of Perl Network modules
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/release/libnet

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

BuildRequires	:	perl
BuildRequires	:	perl-IO-Socket-SSL

#-----------------------------------------------------------------------------
%description
'%{name}' is a collection of Perl modules which provides a simple
and consistent programming interface (API) to the client side
of various protocols used in the internet community

#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

export PERL_MM_USE_DEFAULT=1
%{__perl}							\
	Makefile.PL						\
	NO_PACKLIST=1						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	pure_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

%files
%defattr(-,root,root,-)
%doc README
%{_datadir}/perl5/core_perl/Net/SMTP/SSL.pm
%{_mandir}/man3/*.3.gz


%changelog

